summaryrefslogtreecommitdiffstats
path: root/source/l/exiv2
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/exiv2')
-rwxr-xr-xsource/l/exiv2/exiv2.SlackBuild38
-rw-r--r--source/l/exiv2/exiv2.url1
-rwxr-xr-xsource/l/exiv2/paredown.sh51
-rw-r--r--source/l/exiv2/slack-desc8
4 files changed, 85 insertions, 13 deletions
diff --git a/source/l/exiv2/exiv2.SlackBuild b/source/l/exiv2/exiv2.SlackBuild
index 1292eb189..072bbfd91 100755
--- a/source/l/exiv2/exiv2.SlackBuild
+++ b/source/l/exiv2/exiv2.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2007 Frank Caraballo <fecaraballo{at}gmail{dot}com>
-# Copyright 2008, 2009, 2011, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2011, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,12 @@
# Modified by Robby Workman <rworkman at slackware.com>
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=exiv2
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+#VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*-trunk.tar.xz | rev | cut -f 3- -d . | cut -f 2 -d - | rev)}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -37,7 +40,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-exiv2
NUMJOBS=${NUMJOBS:--j6}
@@ -59,9 +69,13 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf exiv2-$VERSION
-tar xvf $CWD/exiv2-$VERSION.tar.?z* || exit 1
-cd exiv2-$VERSION || exit 1
+rm -rf exiv2-$VERSION exiv2-trunk
+
+#tar xvf $CWD/exiv2-$VERSION.tar.?z* || exit 1
+#cd exiv2-$VERSION || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION-trunk.tar.xz || exit 1
+cd exiv2-trunk || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -82,11 +96,17 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-xmp \
--enable-video \
--enable-webready \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Make sure shared libraries are executable:
+chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/lib*.so.*
+
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/l/exiv2/exiv2.url b/source/l/exiv2/exiv2.url
new file mode 100644
index 000000000..61e8fe546
--- /dev/null
+++ b/source/l/exiv2/exiv2.url
@@ -0,0 +1 @@
+http://www.exiv2.org/builds/exiv2-0.26-trunk.tar.gz
diff --git a/source/l/exiv2/paredown.sh b/source/l/exiv2/paredown.sh
new file mode 100755
index 000000000..cebe54f5b
--- /dev/null
+++ b/source/l/exiv2/paredown.sh
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Copyright 2017 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Convert github release in vX.XX.tar.gz format to exiv2-X.XX.tar.xz format
+# and remove useless cruft.
+
+
+GITHUB_RELEASE=$(echo v*.tar.gz)
+if [ ! -r $GITHUB_RELEASE ]; then
+ echo "$GITHUB_RELEASE is not a libwebp tarball. Exiting."
+ exit 1
+fi
+SRCDIR=$(tar tf v*.tar.gz | head -n 1 | cut -f 1 -d /)
+
+# Untar github sources:
+rm -rf $SRCDIR
+tar xvf $GITHUB_RELEASE
+
+# HERE'S WHERE WE WOULD REMOVE STUFF FROM $SRCDIR, BUT WE AREN'T ACTUALLY
+# USING THIS SCRIPT YET UNTIL WE SWITCH TO DOWNLOADING FROM GITHUB'S RELEASES
+
+# Package it back up as a .tar.xz:
+rm -f $SRCDIR.tar $SRCDIR.tar.xz
+tar cf $SRCDIR.tar $SRCDIR
+xz -9 $SRCDIR.tar
+touch -d "$(tar tvf $GITHUB_RELEASE | head -n 1 | cut -f 2- -d 0 | cut -f 2,3 -d ' ')" $SRCDIR.tar.xz
+
+# Cleanup:
+rm -rf $SRCDIR
+
+echo "Repacking of $SRCDIR.tar.xz complete."
+
diff --git a/source/l/exiv2/slack-desc b/source/l/exiv2/slack-desc
index c01035a1c..a0cd1ff2e 100644
--- a/source/l/exiv2/slack-desc
+++ b/source/l/exiv2/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -11,7 +11,7 @@ exiv2:
exiv2: Exiv2 is a C++ library and a command line utility to read and write
exiv2: Exif and IPTC image metadata.
exiv2:
-exiv2: Homepage: http://www.exiv2.org/
+exiv2: Homepage: http://www.exiv2.org/
exiv2:
exiv2:
exiv2: